public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Martin Mokrejs" <mmokrejs@fold.natur.cuni.cz>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/biopython/
Date: Wed, 11 Sep 2013 20:43:30 +0000 (UTC)	[thread overview]
Message-ID: <1378932147.a044e1abac5a0b7d4e2ed308b349c08d932bed7d.mmokrejs@gentoo> (raw)

commit:     a044e1abac5a0b7d4e2ed308b349c08d932bed7d
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Wed Sep 11 20:42:27 2013 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Wed Sep 11 20:42:27 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=a044e1ab

sci-biology/biopython-1.62: version bump

---
 sci-biology/biopython/biopython-1.62.ebuild | 49 +++++++++++++++++++++++++++++
 sci-biology/biopython/metadata.xml          |  5 +++
 2 files changed, 54 insertions(+)

diff --git a/sci-biology/biopython/biopython-1.62.ebuild b/sci-biology/biopython/biopython-1.62.ebuild
new file mode 100644
index 0000000..9413e77
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.62.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-biology/biopython/biopython-1.61.ebuild,v 1.3 2013/07/02 12:47:34 jlec Exp $
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_5,2_6,2_7,3_3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="http://www.biopython.org/ http://pypi.python.org/pypi/biopython/"
+SRC_URI="http://biopython.org/DIST/biopython-1.62.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="mysql postgres"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pygraphviz[${PYTHON_USEDEP}]
+	dev-python/reportlab[${PYTHON_USEDEP}]
+	media-gfx/pydot[${PYTHON_USEDEP}]
+	mysql? ( dev-python/mysql-python[${PYTHON_USEDEP}] )
+	postgres? ( dev-python/psycopg[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+	sys-devel/flex"
+
+DOCS=( CONTRIB DEPRECATED NEWS README )
+S="${WORKDIR}/biopython-1.62"
+
+python_test() {
+	cd Tests
+	${PYTHON} run_tests.py
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	insinto /usr/share/doc/${PF}
+	doins -r Doc/*
+	insinto /usr/share/${PN}
+	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
+}

diff --git a/sci-biology/biopython/metadata.xml b/sci-biology/biopython/metadata.xml
new file mode 100644
index 0000000..f17a827
--- /dev/null
+++ b/sci-biology/biopython/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <herd>sci-biology</herd>
+</pkgmetadata>


             reply	other threads:[~2013-09-11 20:43 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-09-11 20:43 Martin Mokrejs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-09-11 20:44 [gentoo-commits] proj/sci:master commit in: sci-biology/biopython/ Martin Mokrejs
2013-09-17 17:24 Sebastien Fabbro
2014-06-03  0:26 Martin Mokrejs
2014-06-03  7:06 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1378932147.a044e1abac5a0b7d4e2ed308b349c08d932bed7d.mmokrejs@gentoo \
    --to=mmokrejs@fold.natur.cuni.cz \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox